Bug 863090 - [abrt] emacs-24.1-4.fc17: abort: Process /usr/bin/emacs-24.1 was killed by signal 6 (SIGABRT)
[abrt] emacs-24.1-4.fc17: abort: Process /usr/bin/emacs-24.1 was killed by si...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
abrt_hash:ba021f968ac0b0a68092d5b6bdd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 08:21 EDT by Torbjørn Lindahl
Modified: 2013-08-01 04:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.14 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: environ (2.64 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: backtrace (26.41 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: cgroup (131 bytes, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: maps (30.84 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: dso_list (6.49 KB, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: var_log_messages (232 bytes, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details
File: open_fds (148 bytes, text/plain)
2012-10-04 08:21 EDT, Torbjørn Lindahl
no flags Details

  None (edit)
Description Torbjørn Lindahl 2012-10-04 08:21:09 EDT
Version-Release number of selected component:
emacs-24.1-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        /usr/bin/emacs --daemon
crash_function: abort
kernel:         3.5.4-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #5 abort at /usr/src/debug/emacs-24.1/src/emacs.c:394
: #6 Fsignal at /usr/src/debug/emacs-24.1/src/eval.c:1690
: #7 xsignal at /usr/src/debug/emacs-24.1/src/eval.c:1786
: #8 report_file_error at /usr/src/debug/emacs-24.1/src/fileio.c:190
: #9 Fmake_network_process at /usr/src/debug/emacs-24.1/src/process.c:3403
: #10 Ffuncall at /usr/src/debug/emacs-24.1/src/eval.c:2984
: #11 exec_byte_code at /usr/src/debug/emacs-24.1/src/bytecode.c:785
: #12 funcall_lambda at /usr/src/debug/emacs-24.1/src/eval.c:3167
: #13 Ffuncall at /usr/src/debug/emacs-24.1/src/eval.c:3063
: #14 eval_sub at /usr/src/debug/emacs-24.1/src/eval.c:2322
Comment 1 Torbjørn Lindahl 2012-10-04 08:21:13 EDT
Created attachment 621608 [details]
File: core_backtrace
Comment 2 Torbjørn Lindahl 2012-10-04 08:21:16 EDT
Created attachment 621609 [details]
File: environ
Comment 3 Torbjørn Lindahl 2012-10-04 08:21:18 EDT
Created attachment 621610 [details]
File: backtrace
Comment 4 Torbjørn Lindahl 2012-10-04 08:21:20 EDT
Created attachment 621611 [details]
File: limits
Comment 5 Torbjørn Lindahl 2012-10-04 08:21:26 EDT
Created attachment 621612 [details]
File: cgroup
Comment 6 Torbjørn Lindahl 2012-10-04 08:21:29 EDT
Created attachment 621613 [details]
File: maps
Comment 7 Torbjørn Lindahl 2012-10-04 08:21:34 EDT
Created attachment 621614 [details]
File: dso_list
Comment 8 Torbjørn Lindahl 2012-10-04 08:21:36 EDT
Created attachment 621615 [details]
File: var_log_messages
Comment 9 Torbjørn Lindahl 2012-10-04 08:21:39 EDT
Created attachment 621616 [details]
File: open_fds
Comment 10 wagnermarques 2012-12-30 12:08:39 EST
1) I create a script.sh
2) su
3) (as root) chown root:root script.sh
4) (as root) chmod 4755 script.sh
5) exit
6) ./script.sh (it doesn't execute because fedora ignore setuid on shellscripts)
7) I do not remember exaclty, but I think I close emacs
 8) when I open thi file again in another emacs instance I could not make gentes because a pid 5554 was lockking on the file)
9) so I was kill 5554 process and immedialtelly this problem reasing up


backtrace_rating: 4
Package: emacs-24.1-7.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Fedora Admin XMLRPC Client 2013-02-27 10:48:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2013-07-03 22:32:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-08-01 04:35:22 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.